<!-- main.html -->

<html>

<head>

  <title>SVL</title>

<!--
  <meta http-equiv="pragma"        content="no-cache" />
  <meta http-equiv="expires"       content="Fri, 30 Oct 1998 14:19:41 GMT" />
  <meta http-equiv="cache-control" content="no-cache, must-revalidate" />
-->

  <meta http-equiv="content-type"  content="text/html;charset=utf-8" />

  <link rel="shortcut icon" type="image/x-icon"    href="/APACHE/image/icon/turtle-16x16.ico" />
  <link rel="stylesheet"    type="text/css"        href="styles.css" />

  <script                   type="text/javascript"  src="constants.js"></script>
  <script                   type="text/javascript"  src="functions.js"></script>

</head>

<body
 onload      = "init(event)"
 onmousemove = "updateParameters(event)"
>
<!--

--><div id="layout-col-1" class="layout-col"><!--

--><div
    id      = "container"
   >
     <div
      id              = "console"
      tabindex        = "0"
      contenteditable = "false"
      onkeypress      = "readKey('keypress' ,event); keyPress (this,event); interpret(this,event);"
      onkeydown       = "readKey('keydown'  ,event); keyDown  (this,event); interpret(this,event); updateParameters(event);"
      onkeyup         = "readKey('keyup'    ,event); keyUp    (this,event); interpret(this,event);"
      ontextinput     = "readKey('textinput',event); textInput(this,event); interpret(this,event);"
      onblur          = "setCursor('blur' );"
      onfocus         = "setCursor('focus');"
     ><div
 class="line">SVG-LOGO versão 0.3</div><br /><div
 class="line">LSD 2008</div><br /><div
 class="line">Benvindo ao Logo</div><br /><div
 class="line">? TESTE</div><br /><div
 class="line"></div><br /><div
 class="line">  abcdefghijklmnopqrstuvwxyz</div><br /><div
 class="line">  ABCDEFGHIJKLMNOPQRSTUVWXYZ</div><br /><div
 class="line">  0123456789</div><br /><div
 class="line">  cÇáÁ</div><br /><div
 class="line"></div><br /><div
 class="line">?</div><br /><div
 class="line">?&nbsp;23456789012345678901234567890123456789012345678➜</div><br /><div
 class="line">?</div><br /><div
 class="line">? TESTEf<span id="cursor"></span>ÇÁjp</div><br /><div
></div></div>
  </div><!-- container

--><div id="keyboard">
     <table>

       <thead>
         <tr> <th colspan="8">Keyboard</th> </tr>
         <tr> <th></th>            <th class="modifier">Modifier</th>                                                      <th class="char">Char</th>                                                      <th class="ischar">isChar</th>                                                      <th class="which">which</th>                                                      <th class="charcode">charCode</th>                                                      <th class="keycode">keyCode</th>                                                      <th class="asc">ASC</th>                                                     </tr>
       </thead>

       <tbody>
         <tr> <th>onKeyPress</th>  <td class="modifier"><input type="text" id="keypress-modifier"  readonly="true" /></td> <td class="char"><input type="text" id="keypress-char"  readonly="true" /></td> <td class="ischar"><input type="text" id="keypress-ischar"  readonly="true" /></td> <td class="which"><input type="text" id="keypress-which"  readonly="true" /></td> <td class="charcode"><input type="text" id="keypress-charcode"  readonly="true" /></td> <td class="keycode"><input type="text" id="keypress-keycode"  readonly="true" /></td> <td class="asc"><input type="text" id="keypress-asc"  readonly="true" /></td></tr>
         <tr> <th>onKeyDown</th>   <td class="modifier"><input type="text" id="keydown-modifier"   readonly="true" /></td> <td class="char"><input type="text" id="keydown-char"   readonly="true" /></td> <td class="ischar"><input type="text" id="keydown-ischar"   readonly="true" /></td> <td class="which"><input type="text" id="keydown-which"   readonly="true" /></td> <td class="charcode"><input type="text" id="keydown-charcode"   readonly="true" /></td> <td class="keycode"><input type="text" id="keydown-keycode"   readonly="true" /></td> <td class="asc"><input type="text" id="keydown-asc"   readonly="true" /></td></tr>
         <tr> <th>onKeyUp</th>     <td class="modifier"><input type="text" id="keyup-modifier"     readonly="true" /></td> <td class="char"><input type="text" id="keyup-char"     readonly="true" /></td> <td class="ischar"><input type="text" id="keyup-ischar"     readonly="true" /></td> <td class="which"><input type="text" id="keyup-which"     readonly="true" /></td> <td class="charcode"><input type="text" id="keyup-charcode"     readonly="true" /></td> <td class="keycode"><input type="text" id="keyup-keycode"     readonly="true" /></td> <td class="asc"><input type="text" id="keyup-asc"     readonly="true" /></td></tr>
         <tr> <th>onTextInput</th> <td class="modifier"><input type="text" id="textinput-modifier" readonly="true" /></td> <td class="char"><input type="text" id="textinput-char" readonly="true" /></td> <td class="ischar"><input type="text" id="textinput-ischar" readonly="true" /></td> <td class="which"><input type="text" id="textinput-which" readonly="true" /></td> <td class="charcode"><input type="text" id="textinput-charcode" readonly="true" /></td> <td class="keycode"><input type="text" id="textinput-keycode" readonly="true" /></td> <td class="asc"><input type="text" id="textinput-asc" readonly="true" /></td></tr>
       </tbody>

     </table>

     <label>Penúltimo </label><input type="text" id="blast"      readonly="true" /><br />
     <label>Último    </label><input type="text" id="last"       readonly="true" /><br />
     <label>lastKey   </label><input type="text" id="lastKey"    readonly="true" /><br />
   </div><!-- keyboard

--></div><!-- layout-col-1

--><div id="layout-col-2" class="layout-col"><!--

--><div id="state">
     <label class="c">State</label>
     <label class="r">    Insert</label><input type="text" id=    "insert" readonly="true" /><br />
     <label class="r">   NumLock</label><input type="text" id=   "numlock" readonly="true" /><br />
     <label class="r">  CapsLock</label><input type="text" id=  "capslock" readonly="true" /><br />
     <label class="r">ScrollLock</label><input type="text" id="scrolllock" readonly="true" /><br />
   </div><!-- state
--><hr /><!--

--><div id="parameters">
     <label class="c">Parameters</label>
     <label class="l">charWidth      </label><input type="text" id="charWidth"       readonly="true" /><br />
     <label class="l">charHeight     </label><input type="text" id="charHeight"      readonly="true" /><br />
     <label class="l">overwHeight    </label><input type="text" id="overwHeight"     readonly="true" /><br />
     <label class="l">consWidth      </label><input type="text" id="consWidth"       readonly="true" /><br />
     <label class="l">consHeight     </label><input type="text" id="consHeight"      readonly="true" /><br />
     <label class="l">cursorState    </label><input type="text" id="cursorState"     readonly="true" /><br />
     <label class="l">cursorBlinkTime</label><input type="text" id="cursorBlinkTime" readonly="true" /><br />
   </div><!-- parameters
--><hr /><!--

--></div><!-- layout-col-2

--><div id="layout-col-3" class="layout-col"><!--

--><div id="blocks">
     <label class="c">Blocks</label>
     <label class="c">screen</label>
     <label class="r">width      </label><input type="text" id="screen-width"          readonly="true" /><input type="text" id="screen-height"          readonly="true" /><label class="l">height      </label><br />
     <label class="r">availWidth </label><input type="text" id="screen-availWidth"     readonly="true" /><input type="text" id="screen-availHeight"     readonly="true" /><label class="l">availHeight </label><br />
     <hr />
     <label class="c">window</label>
     <label class="r">outerWidth </label><input type="text" id="window-outerWidth"     readonly="true" /><input type="text" id="window-outerHeight"     readonly="true" /><label class="l">outerHeight </label><br />
     <label class="r">innerWidth </label><input type="text" id="window-innerWidth"     readonly="true" /><input type="text" id="window-innerHeight"     readonly="true" /><label class="l">innerHeight </label><br />
     <label class="r">pageXOffset</label><input type="text" id="window-pageXOffset"    readonly="true" /><input type="text" id="window-pageYOffset"     readonly="true" /><label class="l">pageYOffset </label><br />
     <hr />
     <label class="c">body</label>
     <label class="r">scrollLeft </label><input type="text" id="body-scrollLeft"       readonly="true" /><input type="text" id="body-scrollTop"         readonly="true" /><label class="l">scrollTop   </label><br />
     <label class="r">clientWidth</label><input type="text" id="body-clientWidth"      readonly="true" /><input type="text" id="body-clientHeight"      readonly="true" /><label class="l">clientHeight</label><br />
     <label class="r">scrollWidth</label><input type="text" id="body-scrollWidth"      readonly="true" /><input type="text" id="body-scrollHeight"      readonly="true" /><label class="l">scrollHeight</label><br />
     <label class="r">offsetLeft </label><input type="text" id="body-offsetLeft"       readonly="true" /><input type="text" id="body-offsetTop"         readonly="true" /><label class="l">offsetTop   </label><br />
     <label class="r">clientX    </label><input type="text" id="body-clientX"          readonly="true" /><input type="text" id="body-clientY"           readonly="true" /><label class="l">clientY     </label><br />
     <hr />
     <label class="c" style="background:red">#container</label>
     <label class="r">scrollLeft </label><input type="text" id="container-scrollLeft"  readonly="true" /><input type="text" id="container-scrollTop"    readonly="true" /><label class="l">scrollTop   </label><br />
     <label class="r">clientWidth</label><input type="text" id="container-clientWidth" readonly="true" /><input type="text" id="container-clientHeight" readonly="true" /><label class="l">clientHeight</label><br />
     <label class="r">scrollWidth</label><input type="text" id="container-scrollWidth" readonly="true" /><input type="text" id="container-scrollHeight" readonly="true" /><label class="l">scrollHeight</label><br />
     <label class="r">offsetLeft </label><input type="text" id="container-offsetLeft"  readonly="true" /><input type="text" id="container-offsetTop"    readonly="true" /><label class="l">offsetTop   </label><br />
     <label class="r">clientX    </label><input type="text" id="container-clientX"     readonly="true" /><input type="text" id="container-clientY"      readonly="true" /><label class="l">clientY     </label><br />
     <label class="r">insideX    </label><input type="text" id="container-insideX"     readonly="true" /><input type="text" id="container-insideY"      readonly="true" /><label class="l">insideY     </label><br />
     <hr />
     <label class="c" style="background:black">#console</label>
     <label class="r">scrollLeft </label><input type="text" id="console-scrollLeft"    readonly="true" /><input type="text" id="console-scrollTop"      readonly="true" /><label class="l">scrollTop   </label><br />
     <label class="r">clientWidth</label><input type="text" id="console-clientWidth"   readonly="true" /><input type="text" id="console-clientHeight"   readonly="true" /><label class="l">clientHeight</label><br />
     <label class="r">scrollWidth</label><input type="text" id="console-scrollWidth"   readonly="true" /><input type="text" id="console-scrollHeight"   readonly="true" /><label class="l">scrollHeight</label><br />
     <label class="r">offsetLeft </label><input type="text" id="console-offsetLeft"    readonly="true" /><input type="text" id="console-offsetTop"      readonly="true" /><label class="l">offsetTop   </label><br />
     <label class="r">clientX    </label><input type="text" id="console-clientX"       readonly="true" /><input type="text" id="console-clientY"        readonly="true" /><label class="l">clientY     </label><br />
     <label class="r">insideX    </label><input type="text" id="console-insideX"       readonly="true" /><input type="text" id="console-insideY"        readonly="true" /><label class="l">insideY     </label><br />
     <hr />
     <label class="c">#cursor</label>
     <label class="r">offsetLeft  </label><input type="text" id="cursor-offsetLeft"    readonly="true" /><input type="text" id="cursor-offsetTop"       readonly="true" /><label class="l">offsetTop   </label><br />
     <label class="r">insideLeft  </label><input type="text" id="cursor-insideLeft"    readonly="true" /><input type="text" id="cursor-insideTop"       readonly="true" /><label class="l">insideTop   </label><br />
     <label class="r">column      </label><input type="text" id="cursor-column"        readonly="true" /><input type="text" id="cursor-line"            readonly="true" /><label class="l">line        </label><br />
     <label class="r">Columns     </label><input type="text" id="cursor-columns"       readonly="true" /><input type="text" id="cursor-lines"           readonly="true" /><label class="l">Lines       </label>
     <hr />
   </div><!-- blocks

--></div><!-- layout-col-3

-->
</body>

</html>
